Subject: Re: linux-next: consider tidying up the xen-two tree

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Mon, 4 Mar 2013 08:56:21 -0500

On Mon, Mar 04, 2013 at 10:46:05AM +1100, Stephen Rothwell wrote:
> Hi Konrad,
> 
> We are at the end of the merge window and the xen-two tree still looks
> like this:
> 
>  arch/x86/include/asm/xen/interface.h |  11 ++-
>  arch/x86/include/asm/xen/page.h      |   3 +
>  arch/x86/pci/xen.c                   |   9 ++
>  arch/x86/xen/Kconfig                 |   8 ++
>  arch/x86/xen/enlighten.c             |  76 ++++++++++++-----
>  arch/x86/xen/irq.c                   |   5 +-
>  arch/x86/xen/mmu.c                   | 159 ++++++++++++++++++++++++++++++++---
>  arch/x86/xen/mmu.h                   |   2 +
>  arch/x86/xen/p2m.c                   |   2 +-
>  arch/x86/xen/setup.c                 |  59 ++++++++++---
>  arch/x86/xen/smp.c                   |  39 ++++++---
>  arch/x86/xen/xen-head.S              |  10 ++-
>  drivers/net/xen-netback/netback.c    |  11 ++-
>  drivers/xen/balloon.c                |  14 +--
>  drivers/xen/cpu_hotplug.c            |   4 +-
>  drivers/xen/events.c                 |   9 +-
>  drivers/xen/gntdev.c                 |   3 +-
>  drivers/xen/grant-table.c            | 115 +++++++++++++------------
>  drivers/xen/privcmd.c                |   2 +-
>  drivers/xen/xenbus/xenbus_client.c   |   9 +-
>  include/xen/grant_table.h            |  12 ---
>  21 files changed, 422 insertions(+), 140 deletions(-)
> 
> Some of this is from commits going back to December 2011.  And there
> are several duplicate commits (with reversions of old versions) as well
> as many merges.
> 
> I assume that what is left in there is now v3.10 material (or
> bug/regression fixes), so maybe you should take the opportunity and

Yup.

> rebase the whole lot onto v3.9-rc1 when that is released.

Will do. I didn't know that was an OK thing - thought I had to keep the
history behind (so no rebase).

> 
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]